xCheckParallel | R Documentation

## Function to check whether parallel computing should be used and how

### Description

`xCheckParallel` is used to check whether parallel computing should be used and how

### Usage

    xCheckParallel(multicores = NULL, verbose = T)

### Arguments

`multicores` | an integer to specify how many cores will be registered as the multicore parallel backend to the 'foreach' package. If NULL, it will use a half of cores available in a user's computer
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to true for display

### Value

TRUE for using parallel computing; FALSE otherwise

### Note

Whether parallel computation with multicores is used is system-specific. Also, it will depend on whether these two packages "foreach" and "doParallel" have been installed. It can be installed via: `source("http://bioconductor.org/biocLite.R"); biocLite(c("foreach","doParallel"))`.

### See Also

`xDAGsim`, `xSocialiser`, `xSocialiserGenes`, `xSocialiserSNPs`, `xGRviaGenomicAnnoAdv`

### Examples

    ## Not run:
    xCheckParallel()

    ## End(Not run)